For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate a webhook
      • GETRetrieve a webhook
      • GETList all webhooks
      • PATCHUpdate a webhook
      • DELDelete a webhook
LogoLogo
Legacy DocsSign in
API ReferenceWebhooks

Update a webhook

PATCH
https://api.ntropy.com/v3/webhooks/:id
PATCH
/v3/webhooks/:id
$curl -X "POST" \
> "https://api.ntropy.com/v3/webhooks/e94a150d-40af-4e96-8aa7-2948a6b4d8d3" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl" \
> -H "Content-Type: application/json" \
> -d '{
> "events": [
> "batches.completed",
> "batches.error"
> ],
> "enabled": false
> }'
$
1{
2 "url": "https://example.com:5689/",
3 "events": [
4 "batches.completed",
5 "batches.error"
6 ],
7 "id": "e94a150d-40af-4e96-8aa7-2948a6b4d8d3",
8 "created_at": "2024-10-03T02:53:30.167953",
9 "enabled": true,
10 "token": "hunter2"
11}
Update a webhook. Fields that aren't specified in the body will remain unchanged
Was this page helpful?
Previous

Delete a webhook

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Request

This endpoint expects an object.
urlstring or nullOptionalformat: "uri"1-1024 characters
The URL of the webhook
eventslist of enums or nullOptional
A list of events that this webhook subscribes to
tokenstring or nullOptional<=128 characters

A secret string used to authenticate the webhook. This value will be included in the X-Ntropy-Token header when sending requests to the webhook

enabledboolean or nullOptional
Whether the webhook is enabled or not.

Response

Successful Response
urlstringformat: "uri"1-1024 characters
The URL of the webhook
eventslist of enums
A list of events that this webhook subscribes to
idstring
A generated unique identifier for the webhook
created_atdatetime
The date and time when the webhook was created.
enabledboolean
Whether the webhook is enabled or not.
tokenstring or null<=128 characters

A secret string used to authenticate the webhook. This value will be included in the X-Ntropy-Token header when sending requests to the webhook

Errors

422
Unprocessable Entity Error